Bug 144854 - Calendar will not sync with evolution.
Calendar will not sync with evolution.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 18:19 EST by Adam Patacchiola
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (910 bytes, text/plain)
2005-01-28 18:32 EST, Joe E.
no flags Details

  None (edit)
Description Adam Patacchiola 2005-01-11 18:19:42 EST
Description of problem:

pilot will not sync calendar. todo list and contacts sync fine.
Appears to sync correctly - no errors shown.


Version-Release number of selected component (if applicable):

evolution 2.0.2-3
gnome-pilot-2.0.12-4


How reproducible:

Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Malcolm 2005-01-11 18:28:17 EST
<adam> dhm: i know another guy that has the same on gentoo
<adam> same problem
Comment 2 Dave Malcolm 2005-01-11 18:32:29 EST
<adam> dhm: nothing is transferred either way
Comment 3 Joe E. 2005-01-28 18:32:23 EST
Created attachment 110373 [details]
/var/log/messages
Comment 4 Joe E. 2005-01-28 18:35:05 EST
I have the same problem on FC3 when syncing to a Treo 650.  Contacts
and Todo sync ok (although I recently had a sync that generated many
blank Todo entries.  Syncing from desktop to pilot fixed the Todo
problem which may or may not have happened at the same time as the
Calendar sync broke.  I didn't notice).  In any event, Calendar sync
used to work in FC3 with this device.  I don't get any error messages
in Evolution or on the device and both say hotsync was successful. 
Nothing too helpful in /var/log/messages (included in comment #3).

evolution 2.0.2-3
gnome-pilot-2.0.12-4
gnome-pilot-conduits-2.0.12-3

regards,
Joseph Easley
Comment 5 Stan Rost 2005-01-30 18:52:49 EST
I have the same problem, using FC3 and Palm Vx.  Except the ToDo list
does not synchronize at all.

gnome-pilot.i386                         2.0.12-4               
gnome-pilot-conduits.i386                2.0.12-3
gnome-pilot-devel.i386                   2.0.12-4
evolution.i386                           2.0.2-3
evolution-data-server.i386               1.0.2-3
evolution-connector.i386                 2.0.2-1

Help?  Used to work fine with FC2, need it to work asap.
Comment 6 Joe E. 2005-01-30 19:31:06 EST
I had many blank tasks created on the Palm device (100's!!!).  Once I
cleared them up, Todo's synced just fine.

For Calendar it looks like there was some corruption in my
calendar.ics that was breaking the conduit.  For the record, I don't
really know what I'm doing.  If you try my suggestion, BE SURE TO BACK
UP your .evolution directory or at least the directories under
.evolution (calendar, etc.) and your Palm pilot.  That being said,

Kill evo from the command line:
  evolution --force-shutdown

open /home/youruser/.evolution/calendar/local/system/calendar.ics with
your favorite text editor.  I found these bogus entries at the end:

BEGIN:VEVENT
UID:20050130T211935Z-12074-0-5148-1128@localhost.localdomain
DTSTAMP:20050130T211719Z
LAST-MODIFIED:20050130T211935
DTSTART;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
DTEND;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
CLASS:PRIVATE
SEQUENCE:1
CREATED:20050130T211935
END:VEVENT
BEGIN:VEVENT
UID:20050130T211935Z-12074-0-5148-1129@localhost.localdomain
DTSTAMP:20050130T211719Z
LAST-MODIFIED:20050130T211935
DTSTART;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
DTEND;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
CLASS:PRIVATE
SEQUENCE:1
CREATED:20050130T211935
END:VEVENT
BEGIN:VEVENT
UID:20050130T211935Z-12074-0-5148-1130@localhost.localdomain
DTSTAMP:20050130T211719Z
LAST-MODIFIED:20050130T211935
DTSTART;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
DTEND;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
CLASS:PRIVATE
SEQUENCE:1
CREATED:20050130T211935
END:VEVENT
BEGIN:VEVENT
UID:20050130T211936Z-12074-0-5148-1131@localhost.localdomain
DTSTAMP:20050130T211719Z
LAST-MODIFIED:20050130T211936
DTSTART;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
DTEND;TZID=/softwarestudio.org/Olson_20011030_5/America/New_York:
20271230T000000
CLASS:PRIVATE
SEQUENCE:1
CREATED:20050130T211936
END:VEVENT

Notice they are missing some fields ("SUMMARY") and the DTSTART and
DTEND is 20271230T000000.  Making sure you only delete between the
proper BEGIN and END values, delete these entries.

Open evolution, start gpilotd if it's not already running and try a
hotsync.

If it still doesn't work, you may need to delete
calendar.ics-pilot-sync-evolution-calendar-xxxxx.db and
pilot-map-calendar-xxxx.xml from the same folder.  Also delete
CalendarDB-PDa and DatebookDB on your Palm device and do a "Copy to
Pilot".  Hope this helps.

Regards,
Joe Easley
Comment 7 David Kaplan 2005-02-21 02:04:29 EST
I have started having this problem with the latest kernels - gpilotd
spontaneously crashes almost every time it tries to sync the calendar.
 I am using the kernel-2.6.10-1.766_FC3 and gnome-pilot-2.0.12-4 and
pilot-link-0.11.8-8.  Furthermore, upon crashing it manages to
convince itself that it already synced calendar so that next time I
try to run it, even if it works, it will not finish the calendar sync
that crashed it last time.

Between this and the problems that gpilot causes with other usb
devices, gpilot has become almost unuseable. 

By the way, I looked for the strange entries mentioned in the last
post and there were none.

Logs show:

usb 3-1: new full speed USB device using uhci_hcd and address 6
visor 3-1:1.0: Handspring Visor / Palm OS converter detected
usb 3-1: Handspring Visor / Palm OS converter now attached to ttyUSB0
usb 3-1: Handspring Visor / Palm OS converter now attached to ttyUSB1
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: gpilotd timed out on ep0in
usb 3-1: USB disconnect, address 6
visor ttyUSB0: Handspring Visor / Palm OS converter now disconnected
from ttyUSB0
visor ttyUSB1: Handspring Visor / Palm OS converter now disconnected
from ttyUSB1
visor 3-1:1.0: device disconnected
Comment 8 Matthew Miller 2006-07-10 16:33:04 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 Matthew Barnes 2007-01-02 07:23:24 EST
Is this problem still present in Fedora Core 6 or later?
Comment 10 Matěj Cepl 2007-08-31 11:23:13 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 11 Matthew Barnes 2007-10-02 12:47:41 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.